## optv optv — Optical art meets real-time video effect |

## Synopsis

    struct              GstOpTV;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstOpTV

## Properties

      "mode"                     GstOpTVMode           : Read / Write
      "speed"                    gint                  : Read / Write
      "threshold"                guint                 : Read / Write

## Description

Traditional black-white optical animation is now resurrected as a real-time video effect. Input images are binarized and combined with various optical pattern.

### Example launch line

    1
    gst-launch-1.0 -v videotestsrc ! optv ! videoconvert ! autovideosink

This pipeline shows the effect of optv on a test stream.

## Synopsis

### Element Information

plugin | effectv
author | FUKUCHI, Kentarou <fukuchi@users.sourceforge.net>, Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstOpTV

    struct GstOpTV;

## Property Details

### The `"mode"` property

      "mode"                     GstOpTVMode           : Read / Write

Mode.

Default value: Maelstrom

### The `"speed"` property

      "speed"                    gint                  : Read / Write

Effect speed.

Default value: 16

### The `"threshold"` property

      "threshold"                guint                 : Read / Write

Luma threshold.

Allowed values: <= G_MAXINT

Default value: 60